Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.metadata
Class AbstractMetadata

    java.lang.Object
      com.endeca.portal.metadata.AbstractMetadata

All Implemented Interfaces:
  Metadata

Direct Known Subclasses:
  MetadataObject, MetadataProperty

    public abstract class AbstractMetadata

extends java.lang.Object
implements Metadata

Base abstract class for all metadata records. This class provides a basic Metadata implementation for getting and setting any metadata property, except for "Type" which is meant to be implementation-specific.

Author:
  Endeca Technologies, Inc.

Constructor Summary
`AbstractMetadata()`

Method Summary
`java.lang.String` | `getDescription()` get the description
`java.lang.String` | `getFeature()` get the feature
`java.lang.String` | `getKey()` get the key
`java.util.Date` | `getLastUpdated()` get the last-updated date
`java.lang.String` | `getLocale()` get the locale
`long` | `getObjectId()` get the object ID
`java.lang.String` | `getRel()` get the relationship
`java.lang.String` | `getSource()` get the source
`abstract java.lang.String` | `getType()` Gets the implementation-specific type.
`java.lang.String` | `getValue()` get the value
`void` | `setDescription(java.lang.String description)` set the description
`void` | `setFeature(java.lang.String feature)` set the feature
`void` | `setKey(java.lang.String key)` set the key
`void` | `setLastUpdated(java.util.Date lastUpdated)` set the last-updated date
`void` | `setLocale(java.lang.String locale)` set the locale
`void` | `setObjectId(long id)` set the object ID
`void` | `setRel(java.lang.String rel)` set the relationship
`void` | `setSource(java.lang.String source)` set the source
`void` | `setValue(java.lang.String value)` set the value
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractMetadata

    public AbstractMetadata()

Method Detail

### getType

    public abstract java.lang.String getType()

  Gets the implementation-specific type.

  Specified by:
    `getType` in interface `Metadata`
  Returns:
    the type of metadata this object represents
  See Also:
    `MetadataObject.getType()`

### getObjectId

    public long getObjectId()

  get the object ID

  Specified by:
    `getObjectId` in interface `Metadata`
  Returns:
    the id

### setObjectId

    public void setObjectId(long id)

  set the object ID

  Specified by:
    `setObjectId` in interface `Metadata`
  Parameters:
    `id` - the id

### getKey

    public java.lang.String getKey()

  get the key

  Specified by:
    `getKey` in interface `Metadata`
  Returns:
    the key

### setKey

    public void setKey(java.lang.String key)

  set the key

  Parameters:
    `key` - the key

### getRel

    public java.lang.String getRel()

  get the relationship

  Specified by:
    `getRel` in interface `Metadata`
  Returns:
    the relationship

### setRel

    public void setRel(java.lang.String rel)

  set the relationship

  Parameters:
    `rel` - the relationship

### getValue

    public java.lang.String getValue()

  get the value

  Specified by:
    `getValue` in interface `Metadata`
  Returns:
    the value

### setValue

    public void setValue(java.lang.String value)

  set the value

  Parameters:
    `value` - the value

### getFeature

    public java.lang.String getFeature()

  get the feature

  Specified by:
    `getFeature` in interface `Metadata`
  Returns:
    the feature

### setFeature

    public void setFeature(java.lang.String feature)

  set the feature

  Parameters:
    `feature` - the feature

### getLocale

    public java.lang.String getLocale()

  get the locale

  Specified by:
    `getLocale` in interface `Metadata`
  Returns:
    the locale

### setLocale

    public void setLocale(java.lang.String locale)

  set the locale

  Parameters:
    `locale` - the locale

### getSource

    public java.lang.String getSource()

  get the source

  Specified by:
    `getSource` in interface `Metadata`
  Returns:
    the source

### setSource

    public void setSource(java.lang.String source)

  set the source

  Parameters:
    `source` - the source

### getDescription

    public java.lang.String getDescription()

  get the description

  Specified by:
    `getDescription` in interface `Metadata`
  Returns:
    the description

### setDescription

    public void setDescription(java.lang.String description)

  set the description

  Parameters:
    `description` - the description

### getLastUpdated

    public java.util.Date getLastUpdated()

  get the last-updated date

  Specified by:
    `getLastUpdated` in interface `Metadata`
  Returns:
    the date

### setLastUpdated

    public void setLastUpdated(java.util.Date lastUpdated)

  set the last-updated date

  Parameters:
    `lastUpdated` - the date

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD